# Boost Exception

### exception::exception

    exception();
    exception( exception const & x );

#### Effects:

- Default constructor: initializes an empty boost::exception object.
- Copy constructor: initializes a boost::exception object which shares ownership with x of all data added through operator<<, including data that is added at a future time.

#### Throws:

Nothing.

### See Also:

exception